libzypp: zyppng::sat::AutoInstalledComponent Class Reference

libzypp 17.38.14

zyppng::sat::AutoInstalledComponent Class Reference

Component managing the list of autoinstalled solvables. More...

`#include <zypp/ng/sat/components/autoinstalledcomponent.h>`

Inheritance diagram for zyppng::sat::AutoInstalledComponent:

## Public Member Functions
| AutoInstalledComponent ()=default
const StringQueue & | autoInstalled () const
| Get ident list of all autoinstalled solvables.
void | setAutoInstalled (StringQueue autoInstalled_r)
| Set ident list of all autoinstalled solvables.
bool | isOnSystemByUser (IdString ident_r) const
bool | isOnSystemByAuto (IdString ident_r) const
void | onRepoRemoved (Pool &pool, detail::RepoIdType id) override
void | onReset (Pool &pool) override
Public Member Functions inherited from zyppng::sat::IPoolComponent
virtual void | attach (Pool &)
virtual void | prepare (Pool &)
virtual InitStage | stage () const
virtual int | priority () const
| Fine-grained ordering within a stage.
Public Member Functions inherited from zyppng::sat::detail::IBasicPoolComponent
virtual void | checkDirty (Pool &)
| Probe external state.
virtual void | onInvalidate (Pool &, PoolInvalidation)
| React to pool invalidation — clear internal caches.
virtual void | onRepoAdded (Pool &, RepoIdType)
virtual | ~IBasicPoolComponent ()=default
| IBasicPoolComponent ()=default
| IBasicPoolComponent (const IBasicPoolComponent &)=delete
| IBasicPoolComponent (IBasicPoolComponent &&)=delete
IBasicPoolComponent & | operator= (const IBasicPoolComponent &)=delete
IBasicPoolComponent & | operator= (IBasicPoolComponent &&)=delete

## Private Attributes
StringQueue | _autoinstalled

## Detailed Description

Component managing the list of autoinstalled solvables.

It provides hints about whether a solvable was installed manually by the user or automatically by the solver.

Definition at line 29 of file autoinstalledcomponent.h.

## Constructor & Destructor Documentation

## ◆ AutoInstalledComponent()

zyppng::sat::AutoInstalledComponent::AutoInstalledComponent | ( |  | ) |
| default

## Member Function Documentation

## ◆ autoInstalled()

const StringQueue & zyppng::sat::AutoInstalledComponent::autoInstalled | ( |  | ) | const
| inline

Get ident list of all autoinstalled solvables.

Definition at line 34 of file autoinstalledcomponent.h.

## ◆ setAutoInstalled()

void zyppng::sat::AutoInstalledComponent::setAutoInstalled | ( | StringQueue | autoInstalled_r | ) |
| inline

Set ident list of all autoinstalled solvables.

Definition at line 37 of file autoinstalledcomponent.h.

## ◆ isOnSystemByUser()

bool zyppng::sat::AutoInstalledComponent::isOnSystemByUser | ( | IdString | ident_r | ) | const
| inline

Definition at line 39 of file autoinstalledcomponent.h.

## ◆ isOnSystemByAuto()

bool zyppng::sat::AutoInstalledComponent::isOnSystemByAuto | ( | IdString | ident_r | ) | const
| inline

Definition at line 40 of file autoinstalledcomponent.h.

## ◆ onRepoRemoved()

void zyppng::sat::AutoInstalledComponent::onRepoRemoved | ( | Pool & | pool,
|  | detail::RepoIdType | id )
| overridevirtual

Reimplemented from zyppng::sat::detail::IBasicPoolComponent.

Definition at line 14 of file autoinstalledcomponent.cc.

## ◆ onReset()

void zyppng::sat::AutoInstalledComponent::onReset | ( | Pool & | pool | ) |
| overridevirtual

Reimplemented from zyppng::sat::detail::IBasicPoolComponent.

Definition at line 20 of file autoinstalledcomponent.cc.

## Member Data Documentation

## ◆ _autoinstalled

StringQueue zyppng::sat::AutoInstalledComponent::_autoinstalled
| private

Definition at line 47 of file autoinstalledcomponent.h.

The documentation for this class was generated from the following files:

- zypp/ng/sat/components/autoinstalledcomponent.h
- zypp/ng/sat/components/autoinstalledcomponent.cc